Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.instancetable
Class InstanceTableConfigurationChecks

    java.lang.Object
      edu.stanford.smi.protegex.widget.instancetable.InstanceTableConfigurationChecks

    public class InstanceTableConfigurationChecks

extends Object

Static methods to make sure that InstanceTable is valid. Returns a string. A null return value means "okay"

Author:
  William Grosso

Constructor Summary
`InstanceTableConfigurationChecks()`

Method Summary
`static boolean` | `checkValidity(Cls cls, Slot slot)`
`static JComponent` | `getDetailedWarnings(Cls cls, Slot slot)`
`static JComponent` | `getShortWarning(Cls cls, Slot slot)`
`protected static boolean` | `singleAllowedClass(Cls cls, Slot slot)`
`protected static boolean` | `singleAllowedClass(Cls cls, Slot slot, JTextArea warningDisplayArea)`
`protected static boolean` | `slotHasRightCardinality(Cls cls, Slot slot)`
`protected static boolean` | `slotHasRightCardinality(Cls cls, Slot slot, JTextArea warningDisplayArea)`
`protected static boolean` | `slotTargetOfTypeInstance(Cls cls, Slot slot)`
`protected static boolean` | `slotTargetOfTypeInstance(Cls cls, Slot slot, JTextArea warningDisplayArea)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstanceTableConfigurationChecks

    public InstanceTableConfigurationChecks()

Method Detail

### checkValidity

    public static boolean checkValidity(Cls cls,
                                        Slot slot)

### getDetailedWarnings

    public static JComponent getDetailedWarnings(Cls cls,
                                                 Slot slot)

### getShortWarning

    public static JComponent getShortWarning(Cls cls,
                                             Slot slot)

### singleAllowedClass

    protected static boolean singleAllowedClass(Cls cls,
                                                Slot slot)

### singleAllowedClass

    protected static boolean singleAllowedClass(Cls cls,
                                                Slot slot,
                                                JTextArea warningDisplayArea)

### slotHasRightCardinality

    protected static boolean slotHasRightCardinality(Cls cls,
                                                     Slot slot)

### slotHasRightCardinality

    protected static boolean slotHasRightCardinality(Cls cls,
                                                     Slot slot,
                                                     JTextArea warningDisplayArea)

### slotTargetOfTypeInstance

    protected static boolean slotTargetOfTypeInstance(Cls cls,
                                                      Slot slot)

### slotTargetOfTypeInstance

    protected static boolean slotTargetOfTypeInstance(Cls cls,
                                                      Slot slot,
                                                      JTextArea warningDisplayArea)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request